MCP Gateway
ApiPlayground

Download session file

Download a file from the session's virtual filesystem. Returns the file content with the appropriate MIME type.

GET
/api/v1/playground/sessions/{session_id}/files/{file_path}

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Path Parameters

session_id*string
file_path*string

Path to the file (without leading /)

Query Parameters

disposition?string

'attachment' or 'inline'

Default"attachment"
access_token?|

Response Body

application/json

curl -X GET "https://loading/api/v1/playground/sessions/string/files/string"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}